// DirectionInspector.js
// Tool to visualise gradient directions in BrainVoyager QX
// Requires a *.dmr and *.vmr project to be open in BrainVoyager (*.dmr selected)

var scriptObj 					= new Object;
scriptObj.scriptNameForUser 	= "DirectionInspector";


function run() {
    BrainVoyagerQX.PrintToLog("Creating standard sphere...");

    var docVMR = BrainVoyagerQX.ActiveDocument;
    if(docVMR == undefined) {
        BrainVoyagerQX.PrintToLog("Error: No active VMR!");
        return;
    }
    var meshScene = docVMR.MeshScene;
    if(meshScene == undefined) {
        BrainVoyagerQX.PrintToLog("Error: Could not get mesh scene!");
        return;
    }
    meshScene.CreateStandardSphereMesh();
    var mesh = meshScene.CurrentMesh;
    BrainVoyagerQX.PrintToLog("done.");
    BrainVoyagerQX.ExecutePlugin();
}

run();

returnScriptObj = function() {
	return scriptObj;
}

returnScriptObj(); // should be after returnScriptOjb = function()
